"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const compiler_1 = require("@specron/compiler");
const env_1 = require("../lib/env");
function default_1(argv) {
    return __awaiter(this, void 0, void 0, function* () {
        const config = env_1.getConfig(argv);
        const compiler = new compiler_1.Compiler({
            settings: {
                optimizer: {
                    enabled: config.settings.optimization > 0,
                    runs: config.settings.optimization,
                },
            },
            reporter: new compiler_1.DefaultReporter(config.compiler.severities),
        });
        compiler.source(...config.compiler.match);
        try {
            compiler.compile();
            compiler.save(config.compiler.build);
            process.exit(0);
        }
        catch (e) {
            console.log(e);
            process.exit(2);
        }
    });
}
exports.default = default_1;
//# sourceMappingURL=compile.js.map