"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yargs = require("yargs");
const init_1 = require("./commands/init");
const sandbox_1 = require("./commands/sandbox");
const compile_1 = require("./commands/compile");
const test_1 = require("./commands/test");
const env_1 = require("./lib/env");
const { argv } = yargs
    .usage('Usage: $0 --help')
    .command('compile', 'Compiles solidity contracts', (yargs) => yargs
    .usage('Usage: $0 --match *.sol --build ./build')
    .option('match', {
    array: true,
    description: 'Matching pattern',
})
    .option('build', {
    string: true,
    description: 'Build folder path',
})
    .option('severities', {
    array: true,
    description: 'Toggle error and warnings visibility',
})
    .option('optimization', {
    number: true,
    description: 'Code optimization level',
}), compile_1.default)
    .command('init', 'Initializes project directory.', (yargs) => yargs
    .option('name', {
    string: true,
    description: 'Project name',
})
    .option('description', {
    string: true,
    description: 'Project description',
}), init_1.default)
    .command('sandbox', 'Starts Ethereum sandbox server.', (yargs) => yargs
    .option('port', {
    number: true,
    description: 'Server port number',
}), sandbox_1.default)
    .command('test', 'Runs tests', (yargs) => yargs
    .option('match', {
    array: true,
    description: 'Match pattern',
})
    .option('require', {
    array: true,
    description: 'Require dependencies',
})
    .option('server', {
    boolean: true,
    description: 'Start sandbox server',
})
    .option('port', {
    number: true,
    description: 'Server port number',
})
    .option('blockTime', {
    number: true,
    description: 'Seconds for automatic mining',
}), test_1.default)
    .epilog('Copyright © Xpepermint 2018.')
    .help()
    .version();
env_1.getConfig(argv).require.forEach((v) => require(v));
//# sourceMappingURL=index.js.map